/*-------------------------------------------------------------------------
 * rtplibcommon.h
 *-------------------------------------------------------------------------
 */

#ifndef RTPLIBCOMMON_H
#define RTPLIBCOMMON_H

#ifdef LINUX
#include <linux.h>
#endif /* LINUX */

typedef char bool;
typedef unsigned int ssrc_t;
typedef unsigned int mediatime_t;
typedef	unsigned short seq_t;

#define min(a, b) (a < b ? a : b)
#define max(a, b) (a < b ? b : a)

#define TRUE		1
#define FALSE		0
#define OK		0
#define ERROR		-1

#ifndef NULL
#define NULL		0
#endif /* !NULL */

/*
 * Uncomment the line below to include
 * experimental support for inter-stream
 * and inter-session synchronization.
 */
/*#define RTPLIB_SYNCHRONIZE*/

#endif /* !RTPLIBCOMMON_H */
