/*-------------------------------------------------------------------------
 * sample.h
 *-------------------------------------------------------------------------
 */

#ifndef SAMPLE_H
#define SAMPE_H

/*
 * Structure to hold stream parameters specific to sample encoding.
 */
struct sampparam {
	int sp_samplesz;	/* sample size (bits)		*/
	int sp_channels;	/* number of channels		*/
};  

/* 
 * Structure to return sample encoding specific return values from read.
 */
struct sampreadparam {
	int  sr_shift; /* Bit position within first 
			* byte of beginning of data.
			*/
	bool sr_mark;  /*
			* Set to true when marker bit set.
			*/
};

int sampread(struct synsession *, struct synstream *, struct timespec *, mediatime_t *, char *, int, int *, bool *);
#endif
